/* ==================================================================== */
/* Allan CORNET */
/* DIGITEO 2008 */
/* ==================================================================== */
#include "../../src/c/dde.h"
#include "stack-c.h" 
#include "MALLOC.h"
#include "localization.h"
#include "Scierror.h"
/* ==================================================================== */
int sci_ddeclose(char *fname)
{
	static int n1 = 0;
	int *paramoutINT = NULL;
	
	Rhs = Max(0,Rhs);
	CheckRhs(0,0);
	CheckLhs(0,1);

	paramoutINT = (int*)MALLOC(sizeof(int));
	if (paramoutINT == NULL)
	{
		Scierror(999, _("%s: No more memory.\n"),fname) ;
		return 0;
	}
	
	if ( DDECloseConnection() )
	{
		*paramoutINT=(int)TRUE;
	}
	else
	{
		*paramoutINT=(int)FALSE;
	}
	
	n1 = 1;
	CreateVarFromPtr(Rhs+1, MATRIX_OF_BOOLEAN_DATATYPE, &n1, &n1, &paramoutINT);
	LhsVar(1) = Rhs+1;
	FREE(paramoutINT);
	paramoutINT = NULL;
	
	return 0;
}
/* ==================================================================== */

